Query events
curl --request GET \
--url https://apix.us.amity.co/api/v1/events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"eventId": "<string>",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"isInviteOnly": true,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"location": "<string>",
"externalUrl": "<string>",
"coverImageFileId": "<string>",
"originId": "<string>",
"livestreamId": "<string>",
"discussionCommunityId": "<string>",
"isLocationVisible": true,
"isOriginPublic": true,
"rsvpCount": 123,
"interestedCount": 123,
"tags": [
"<string>"
],
"metadata": {},
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"posts": [
{
"postId": "<string>",
"data": {
"title": "<string>",
"text": "<string>",
"fileId": "<string>",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
},
"streamId": "<string>"
},
"_id": "<string>",
"path": "<string>",
"parentPostId": "<string>",
"postedUserId": "<string>",
"postedUserPublicId": "<string>",
"postedUserInternalId": "<string>",
"sharedUserId": "<string>",
"sharedCount": 123,
"targetId": "<string>",
"targetPublicId": "<string>",
"targetInternalId": "<string>",
"dataType": "text",
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"comments": [
"<string>"
],
"children": [
"<string>"
],
"childrenNumber": 123,
"isDeleted": false,
"hasFlaggedComment": false,
"hasFlaggedChildren": false,
"feedId": "<string>",
"tags": [
"<string>"
],
"hashtags": [
"technology",
"programming",
"web_development",
"JavaScript",
"AI_trends"
],
"mentionees": [
{
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123,
"structureType": "text"
}
],
"rooms": [
{
"_id": "<string>",
"targetId": "<string>",
"referenceId": "<string>",
"liveChannelId": "<string>",
"liveChatEnabled": true,
"title": "<string>",
"roomId": "<string>",
"description": "<string>",
"thumbnailFileId": "<string>",
"participants": [
{
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f"
}
],
"livePlaybackUrl": "https://stream.example.com/someid.m3u8?token=token",
"liveThumbnailUrl": "https://image.example.com/someid/thumbnail.png?token=token",
"recordedPlaybackInfos": [
{
"url": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/watch",
"thumbnailUrl": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/thumbnail"
}
],
"durationSeconds": 123,
"moderation": {
"flagLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"parentRoomId": "<string>",
"childRoomIds": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creatorInternalId": "64be1f6cb9b4106b5a6bbf3f",
"updatedAt": "2023-11-07T05:31:56Z",
"liveAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "<string>",
"path": "<string>",
"metadata": {}
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}Event
Query events
Query events with filters.
Access Control:
- Public community events: visible to everyone
- Private community events: visible only to members
Filtering:
- By origin (community)
- By status (scheduled, live, ended, cancelled)
- By type (virtual, in_person)
- By time range (startTimeGte, startTimeLte)
- By tags
GET
/
api
/
v1
/
events
Query events
curl --request GET \
--url https://apix.us.amity.co/api/v1/events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"eventId": "<string>",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"isInviteOnly": true,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"location": "<string>",
"externalUrl": "<string>",
"coverImageFileId": "<string>",
"originId": "<string>",
"livestreamId": "<string>",
"discussionCommunityId": "<string>",
"isLocationVisible": true,
"isOriginPublic": true,
"rsvpCount": 123,
"interestedCount": 123,
"tags": [
"<string>"
],
"metadata": {},
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"posts": [
{
"postId": "<string>",
"data": {
"title": "<string>",
"text": "<string>",
"fileId": "<string>",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
},
"streamId": "<string>"
},
"_id": "<string>",
"path": "<string>",
"parentPostId": "<string>",
"postedUserId": "<string>",
"postedUserPublicId": "<string>",
"postedUserInternalId": "<string>",
"sharedUserId": "<string>",
"sharedCount": 123,
"targetId": "<string>",
"targetPublicId": "<string>",
"targetInternalId": "<string>",
"dataType": "text",
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"comments": [
"<string>"
],
"children": [
"<string>"
],
"childrenNumber": 123,
"isDeleted": false,
"hasFlaggedComment": false,
"hasFlaggedChildren": false,
"feedId": "<string>",
"tags": [
"<string>"
],
"hashtags": [
"technology",
"programming",
"web_development",
"JavaScript",
"AI_trends"
],
"mentionees": [
{
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123,
"structureType": "text"
}
],
"rooms": [
{
"_id": "<string>",
"targetId": "<string>",
"referenceId": "<string>",
"liveChannelId": "<string>",
"liveChatEnabled": true,
"title": "<string>",
"roomId": "<string>",
"description": "<string>",
"thumbnailFileId": "<string>",
"participants": [
{
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f"
}
],
"livePlaybackUrl": "https://stream.example.com/someid.m3u8?token=token",
"liveThumbnailUrl": "https://image.example.com/someid/thumbnail.png?token=token",
"recordedPlaybackInfos": [
{
"url": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/watch",
"thumbnailUrl": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/thumbnail"
}
],
"durationSeconds": 123,
"moderation": {
"flagLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"parentRoomId": "<string>",
"childRoomIds": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creatorInternalId": "64be1f6cb9b4106b5a6bbf3f",
"updatedAt": "2023-11-07T05:31:56Z",
"liveAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "<string>",
"path": "<string>",
"metadata": {}
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Origin type of the event (currently only 'community' is supported)
community- Event created in a community
Available options:
community ID of the community where the event is created
Filter events by creator user ID (admin only or the user themselves)
Filter events where the specified userId has RSVP'd (requires userId parameter)
Event status
scheduled- Event is scheduledlive- Event is currently liveended- Event has endedcancelled- Event is cancelled
Available options:
scheduled, live, ended, cancelled Filter events by type
Available options:
virtual, in_person Event tags for categorization
Maximum array length:
5Maximum string length:
24Filter events with start time greater than or equal to this value
Filter events with start time less than or equal to this value
Sort order for events
Available options:
startTime, createdAt Sort direction (ascending or descending)
Available options:
asc, desc Page size
Required range:
1 <= x <= 100Pagination token
⌘I